ExtendedAccessLogValve.ResponseAllHeaderElement (Apache Tomcat 11.0.23 API Documentation)
Description: declaration: package: org.apache.catalina.valves, class: ExtendedAccessLogValve, class: ResponseAllHeaderElement

# Class ExtendedAccessLogValve.ResponseAllHeaderElement

java.lang.Object
org.apache.catalina.valves.ExtendedAccessLogValve.ResponseAllHeaderElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement`

Enclosing class:
  `ExtendedAccessLogValve`

protected static class ExtendedAccessLogValve.ResponseAllHeaderElement extends Object implements AbstractAccessLogValve.AccessLogElement
write a specific response header - x-O(xxx)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResponseAllHeaderElement(String header)`
  Creates a new ResponseAllHeaderElement for the specified header.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addElement(CharArrayWriter buf, Request request, Response response, long time)`
  Called to create an access log entry.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface AbstractAccessLogValve.AccessLogElement

  `addElement`

- ## Constructor Details

  - ### ResponseAllHeaderElement

    public ResponseAllHeaderElement(String header)
    Creates a new ResponseAllHeaderElement for the specified header.
    Parameters:
      `header` - the name of the response header

- ## Method Details

  - ### addElement

    public void addElement(CharArrayWriter buf, Request request, Response response, long time)
    Description copied from interface: `AbstractAccessLogValve.AccessLogElement`
    Called to create an access log entry.
    Specified by:
      `addElement` in interface `AbstractAccessLogValve.AccessLogElement`
    Parameters:
      `buf` - The buffer to which the log element should be added
      `request` - The request that triggered this access log entry
      `response` - The response to the request that triggered this access log entry
      `time` - The time taken in nanoseconds to process the request